Upscale an image with Magnific
curl --request POST \
--url https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image": "<string>",
"creativity": 0,
"engine": "automatic",
"fractality": 0,
"hdr": 0,
"optimized_for": "standard",
"prompt": "<string>",
"resemblance": 0,
"scale_factor": "2x",
"webhook_url": "https://www.example.com/webhook"
}
'import requests
url = "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler"
payload = {
"image": "<string>",
"creativity": 0,
"engine": "automatic",
"fractality": 0,
"hdr": 0,
"optimized_for": "standard",
"prompt": "<string>",
"resemblance": 0,
"scale_factor": "2x",
"webhook_url": "https://www.example.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: '<string>',
creativity: 0,
engine: 'automatic',
fractality: 0,
hdr: 0,
optimized_for: 'standard',
prompt: '<string>',
resemblance: 0,
scale_factor: '2x',
webhook_url: 'https://www.example.com/webhook'
})
};
fetch('https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'image' => '<string>',
'creativity' => 0,
'engine' => 'automatic',
'fractality' => 0,
'hdr' => 0,
'optimized_for' => 'standard',
'prompt' => '<string>',
'resemblance' => 0,
'scale_factor' => '2x',
'webhook_url' => 'https://www.example.com/webhook'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler"
payload := strings.NewReader("{\n \"image\": \"<string>\",\n \"creativity\": 0,\n \"engine\": \"automatic\",\n \"fractality\": 0,\n \"hdr\": 0,\n \"optimized_for\": \"standard\",\n \"prompt\": \"<string>\",\n \"resemblance\": 0,\n \"scale_factor\": \"2x\",\n \"webhook_url\": \"https://www.example.com/webhook\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"image\": \"<string>\",\n \"creativity\": 0,\n \"engine\": \"automatic\",\n \"fractality\": 0,\n \"hdr\": 0,\n \"optimized_for\": \"standard\",\n \"prompt\": \"<string>\",\n \"resemblance\": 0,\n \"scale_factor\": \"2x\",\n \"webhook_url\": \"https://www.example.com/webhook\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"image\": \"<string>\",\n \"creativity\": 0,\n \"engine\": \"automatic\",\n \"fractality\": 0,\n \"hdr\": 0,\n \"optimized_for\": \"standard\",\n \"prompt\": \"<string>\",\n \"resemblance\": 0,\n \"scale_factor\": \"2x\",\n \"webhook_url\": \"https://www.example.com/webhook\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"generated": [
"<string>"
],
"status": "CREATED",
"task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Freepik
Upscale an image with Magnific
This asynchronous endpoint enables image upscaling using advanced AI algorithms. Upon submission, it returns a unique task_id which can be used to track the progress. For real-time production use, include the optional webhook_url parameter to receive an automated notification once the task has been completed.
POST
/
proxy
/
freepik
/
v1
/
ai
/
image-upscaler
Upscale an image with Magnific
curl --request POST \
--url https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image": "<string>",
"creativity": 0,
"engine": "automatic",
"fractality": 0,
"hdr": 0,
"optimized_for": "standard",
"prompt": "<string>",
"resemblance": 0,
"scale_factor": "2x",
"webhook_url": "https://www.example.com/webhook"
}
'import requests
url = "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler"
payload = {
"image": "<string>",
"creativity": 0,
"engine": "automatic",
"fractality": 0,
"hdr": 0,
"optimized_for": "standard",
"prompt": "<string>",
"resemblance": 0,
"scale_factor": "2x",
"webhook_url": "https://www.example.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: '<string>',
creativity: 0,
engine: 'automatic',
fractality: 0,
hdr: 0,
optimized_for: 'standard',
prompt: '<string>',
resemblance: 0,
scale_factor: '2x',
webhook_url: 'https://www.example.com/webhook'
})
};
fetch('https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'image' => '<string>',
'creativity' => 0,
'engine' => 'automatic',
'fractality' => 0,
'hdr' => 0,
'optimized_for' => 'standard',
'prompt' => '<string>',
'resemblance' => 0,
'scale_factor' => '2x',
'webhook_url' => 'https://www.example.com/webhook'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler"
payload := strings.NewReader("{\n \"image\": \"<string>\",\n \"creativity\": 0,\n \"engine\": \"automatic\",\n \"fractality\": 0,\n \"hdr\": 0,\n \"optimized_for\": \"standard\",\n \"prompt\": \"<string>\",\n \"resemblance\": 0,\n \"scale_factor\": \"2x\",\n \"webhook_url\": \"https://www.example.com/webhook\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"image\": \"<string>\",\n \"creativity\": 0,\n \"engine\": \"automatic\",\n \"fractality\": 0,\n \"hdr\": 0,\n \"optimized_for\": \"standard\",\n \"prompt\": \"<string>\",\n \"resemblance\": 0,\n \"scale_factor\": \"2x\",\n \"webhook_url\": \"https://www.example.com/webhook\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"image\": \"<string>\",\n \"creativity\": 0,\n \"engine\": \"automatic\",\n \"fractality\": 0,\n \"hdr\": 0,\n \"optimized_for\": \"standard\",\n \"prompt\": \"<string>\",\n \"resemblance\": 0,\n \"scale_factor\": \"2x\",\n \"webhook_url\": \"https://www.example.com/webhook\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"generated": [
"<string>"
],
"status": "CREATED",
"task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Autorizaciones
BearerAuthApiKeyAuth
Bearer token authentication. Normally a Firebase or Cloud JWT. A 'comfyui-' prefixed API key is also accepted in this header: the prefix classifies the value as an API key and it is validated exactly as if it had been sent in X-API-Key. Accepted on the operations served by the comfyFirebase auth middleware (BE-9720, parity with ingest).
Cuerpo
application/json
¿Esta página le ayudó?